Subject: Re: [PATCH 2/6] powerpc/85xx: consolidate of_platform_bus_probe calls

From: Timur Tabi <[email-masked]>
Date: Tue, 29 Nov 2011 12:52:19 -0600

Kumar Gala wrote:
> Ben would probably have to answer that.  I can't remember why he wanted it.  I'm sure he has a good reason.

Well, I'm not sure what's going on with the code.  I *think* what's happening is that the first call of_platform_bus_probe() is scanning most, but not all, of the tree, and it's somehow reserving all of those nodes.  Then we call of_platform_bus_probe() again, but it never finds the DMA nodes.  of_platform_bus_probe() never actually calls of_platform_bus_create() this time around.  Perhaps the recursive nature of of_platform_bus_create() is part of the problem.

The only fix I can think of is to move "fsl,eloplus-dma" into mpc85xx_common_ids[].  I'll post a patch that does that, and we can discuss it.

-- 
Timur Tabi
Linux kernel developer at Freescale